<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:48 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class io.mosip.registration.entity.Registration (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class io.mosip.registration.entity.Registration (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/class-use/Registration.html" target="_top">Frames</a></li>
<li><a href="Registration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class io.mosip.registration.entity.Registration" class="title">Uses of Class<br>io.mosip.registration.entity.Registration</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.dao">io.mosip.registration.dao</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.dao.impl">io.mosip.registration.dao.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.repositories">io.mosip.registration.repositories</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service">io.mosip.registration.service</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.packet">io.mosip.registration.service.packet</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.packet.impl">io.mosip.registration.service.packet.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.dao">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a> in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> that return <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegPacketStatusDAO.html#get-java.lang.String-">get</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#getRegistrationById-java.lang.String-java.lang.String-">getRegistrationById</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatusCode,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;rId)</code>
<div class="block">Gets the registration by id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegPacketStatusDAO.html#update-io.mosip.registration.entity.Registration-">update</a></span>(<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&nbsp;registration)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#updatePacketSyncStatus-io.mosip.registration.dto.PacketStatusDTO-">updatePacketSyncStatus</a></span>(<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&nbsp;packet)</code>
<div class="block">Update the Packet sync status in the database.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#updateRegistration-java.lang.String-java.lang.String-java.lang.String-">updateRegistration</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationID,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusComments,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatusCode)</code>
<div class="block">This method updates the status of the packet.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#updateRegStatus-io.mosip.registration.dto.PacketStatusDTO-">updateRegStatus</a></span>(<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&nbsp;packetStatus)</code>
<div class="block">This method is used to update the registration status in the Registration
 table.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#fetchPacketsToUpload-java.util.List-java.lang.String-">fetchPacketsToUpload</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;clientStatus,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverStatus)</code>
<div class="block">This method is used to fetch the records for the packets to Upload.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#findByServerStatusCodeIn-java.util.List-">findByServerStatusCodeIn</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;serveSstatusCodes)</code>
<div class="block">Find by server status code in.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#findByServerStatusCodeNotIn-java.util.List-">findByServerStatusCodeNotIn</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;serverStatusCodes)</code>
<div class="block">Find by server status code not in.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#get-java.util.List-">get</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;regIds)</code>
<div class="block">Get Registration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#get-java.sql.Timestamp-java.lang.String-">get</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;crDtimes,
   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatus)</code>
<div class="block">Find by CrDtimes and client status code.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#getAllReRegistrationPackets-java.lang.String:A-">getAllReRegistrationPackets</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;status)</code>
<div class="block">Get all the Re-Registration packets.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#getEnrollmentByStatus-java.lang.String-">getEnrollmentByStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;status)</code>
<div class="block">This method retrieves the list of Registrations by status.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAO.SyncJobInfo.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.SyncJobInfo.html#getLastExportRegistrationList--">getLastExportRegistrationList</a></span>()</code>
<div class="block">Gets the last export registration list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegPacketStatusDAO.html#getPacketIdsByStatusUploaded--">getPacketIdsByStatusUploaded</a></span>()</code>
<div class="block">This method gets the list of packets which are having the status as uploaded-successfully</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#getPacketsToBeSynched-java.util.List-">getPacketsToBeSynched</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes)</code>
<div class="block">Fetch the packets that needs to be Synched with the server.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#getRegistrationByStatus-java.util.List-">getRegistrationByStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;packetStatus)</code>
<div class="block">This method is used to get the Packet details using the Id.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.html#getRegistrationDetails--">getRegistrationDetails</a></span>()</code>
<div class="block">Get Registration Details.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> with parameters of type <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegPacketStatusDAO.html#delete-io.mosip.registration.entity.Registration-">delete</a></span>(<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&nbsp;registration)</code>
<div class="block">Delete Registration</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegPacketStatusDAO.html#update-io.mosip.registration.entity.Registration-">update</a></span>(<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&nbsp;registration)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> with type arguments of type <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.SyncJobInfo.html#SyncJobInfo-java.util.List-double-java.util.List-">SyncJobInfo</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&gt;&nbsp;syncControlList,
           double&nbsp;yetToExportCount,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;lastExportRegistrationList)</code>
<div class="block">Instantiates a new sync job info.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.dao.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a> in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a> that return <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegPacketStatusDAOImpl.html#get-java.lang.String-">get</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#getRegistrationById-java.lang.String-java.lang.String-">getRegistrationById</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatusCode,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;rId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegPacketStatusDAOImpl.html#update-io.mosip.registration.entity.Registration-">update</a></span>(<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&nbsp;registration)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#updatePacketSyncStatus-io.mosip.registration.dto.PacketStatusDTO-">updatePacketSyncStatus</a></span>(<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&nbsp;packet)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#updateRegistration-java.lang.String-java.lang.String-java.lang.String-">updateRegistration</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationID,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusComments,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatusCode)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#updateRegStatus-io.mosip.registration.dto.PacketStatusDTO-">updateRegStatus</a></span>(<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&nbsp;registrationPacket)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#fetchPacketsToUpload-java.util.List-java.lang.String-">fetchPacketsToUpload</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;clientStatus,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverStatus)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#findByServerStatusCodeIn-java.util.List-">findByServerStatusCodeIn</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;serverStatusCodes)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#findByServerStatusCodeNotIn-java.util.List-">findByServerStatusCodeNotIn</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;serverStatusCodes)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#get-java.util.List-">get</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;regIds)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#get-java.sql.Timestamp-java.lang.String-">get</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;crDtimes,
   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatus)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#getAllReRegistrationPackets-java.lang.String:A-">getAllReRegistrationPackets</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;status)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#getEnrollmentByStatus-java.lang.String-">getEnrollmentByStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;status)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegPacketStatusDAOImpl.html#getPacketIdsByStatusUploaded--">getPacketIdsByStatusUploaded</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#getPacketsToBeSynched-java.util.List-">getPacketsToBeSynched</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#getRegistrationByStatus-java.util.List-">getRegistrationByStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;packetStatus)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncJobControlDAOImpl.html#getRegistrationDetails--">getRegistrationDetails</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a> with parameters of type <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegPacketStatusDAOImpl.html#delete-io.mosip.registration.entity.Registration-">delete</a></span>(<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&nbsp;registration)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegPacketStatusDAOImpl.html#update-io.mosip.registration.entity.Registration-">update</a></span>(<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&nbsp;registration)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.repositories">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a> in <a href="../../../../../io/mosip/registration/repositories/package-summary.html">io.mosip.registration.repositories</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/repositories/package-summary.html">io.mosip.registration.repositories</a> that return <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByClientStatusCodeAndId-java.lang.String-java.lang.String-">findByClientStatusCodeAndId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatusCode,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id)</code>
<div class="block">Find by client status code and id.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/repositories/package-summary.html">io.mosip.registration.repositories</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByclientStatusCode-java.lang.String-">findByclientStatusCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusCode)</code>
<div class="block">This method returns the list of <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a> based on status code</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByClientStatusCodeAndServerStatusCode-java.lang.String-java.lang.String-">findByClientStatusCodeAndServerStatusCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatus,
                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverStatus)</code>
<div class="block">Fetching all the re registration records.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByClientStatusCodeInOrderByUpdDtimesDesc-java.util.List-">findByClientStatusCodeInOrderByUpdDtimesDesc</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes)</code>
<div class="block">This method fetches the registration packets based on given client status
 codes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByClientStatusCodeInOrServerStatusCodeOrderByUpdDtimesDesc-java.util.List-java.lang.String-">findByClientStatusCodeInOrServerStatusCodeOrderByUpdDtimesDesc</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes,
                                                              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverStatus)</code>
<div class="block">To fetch the records for Packet Upload.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByclientStatusCodeOrderByCrDtimeAsc-java.lang.String-">findByclientStatusCodeOrderByCrDtimeAsc</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusCode)</code>
<div class="block">This method returns the list of <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a> based on status code.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByCrDtimeBefore-java.sql.Timestamp-">findByCrDtimeBefore</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;crDtimes)</code>
<div class="block">Find by CrDtimes and client status code.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByCrDtimeBeforeAndServerStatusCode-java.sql.Timestamp-java.lang.String-">findByCrDtimeBeforeAndServerStatusCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;crDtimes,
                                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatus)</code>
<div class="block">Find by CrDtimes and client status code.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByServerStatusCodeIn-java.util.List-">findByServerStatusCodeIn</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes)</code>
<div class="block">fetches all the Registration records which is having the given server status
 codes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByServerStatusCodeNotIn-java.util.List-">findByServerStatusCodeNotIn</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;statusCodes)</code>
<div class="block">fetches all the Registration records which is not having the given server
 status codes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/RegistrationRepository.html#findByStatusCodes-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">findByStatusCodes</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientstatusCode,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;exportstatusCode,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverStatusCode,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileUploadStatus)</code>
<div class="block">This method returns the list of <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a> based on provided id's.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a> in <a href="../../../../../io/mosip/registration/service/package-summary.html">io.mosip.registration.service</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/package-summary.html">io.mosip.registration.service</a> with parameters of type <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/BaseService.html#packetStatusDtoPreperation-io.mosip.registration.entity.Registration-">packetStatusDtoPreperation</a></span>(<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&nbsp;registration)</code>
<div class="block">Convertion of Registration to Packet Status DTO.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.packet">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a> in <a href="../../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a> that return <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationApprovalService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/RegistrationApprovalService.html#updateRegistration-java.lang.String-java.lang.String-java.lang.String-">updateRegistration</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationID,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusComments,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatusCode)</code>
<div class="block"><code>packetUpdateStatus</code> method to update the status of the packet.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PacketUploadService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketUploadService.html#getSynchedPackets--">getSynchedPackets</a></span>()</code>
<div class="block">Get the list of Synched Packets or the packets that are marked are Reupload.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a> with type arguments of type <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/RegPacketStatusService.html#deleteRegistrations-java.util.List-">deleteRegistrations</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;registrations)</code>
<div class="block">Delete Registrations</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.packet.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a> in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a> that return <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationApprovalServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/RegistrationApprovalServiceImpl.html#updateRegistration-java.lang.String-java.lang.String-java.lang.String-">updateRegistration</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationID,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusComments,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;clientStatusCode)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PacketUploadServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketUploadServiceImpl.html#getSynchedPackets--">getSynchedPackets</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a> with type arguments of type <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">RegPacketStatusServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html#deleteRegistrations-java.util.List-">deleteRegistrations</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;registrations)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/class-use/Registration.html" target="_top">Frames</a></li>
<li><a href="Registration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
